Security update for clamav

SUSE Security Update: Security update for clamav
Announcement ID: SUSE-SU-2021:1174-1
Rating: important
References: #1181256 #1184532 #1184533 #1184534
Cross-References:CVE-2021-1252 CVE-2021-1404 CVE-2021-1405
Affected Products:
  • SUSE Linux Enterprise Server 12-SP5

An update that solves three vulnerabilities and has one errata is now available.

Description:

This update for clamav fixes the following issues:

  • CVE-2021-1252: Fix for Excel XLM parser infinite loop. (bsc#1184532)
  • CVE-2021-1404: Fix for PDF parser buffer over-read; possible crash. (bsc#1184533)
  • CVE-2021-1405: Fix for mail parser NULL-dereference crash. (bsc#1184534)
  • Fix errors when scanning files > 4G (bsc#1181256)
  • Update clamav.keyring
  • Update to 0.103.2

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Server 12-SP5:
    zypper in -t patch SUSE-SLE-SERVER-12-SP5-2021-1174=1

Package List:

  • SUSE Linux Enterprise Server 12-SP5 (aarch64 ppc64le s390x x86_64):
    • clamav-0.103.2-3.6.1
    • clamav-debuginfo-0.103.2-3.6.1
    • clamav-debugsource-0.103.2-3.6.1

References: